# cyclic dependeny with the soupsieve must sometimes be disabled
%bcond_without soupsieve
%bcond_with tests

Summary:        HTML/XML parser for quick-turnaround applications like screen-scraping
Name:           python-beautifulsoup4
Version:        4.12.2
Release:        2%{?dist}
License:        MIT
URL:            http://www.crummy.com/software/BeautifulSoup/
Source0:        https://files.pythonhosted.org/packages/source/b/beautifulsoup4/beautifulsoup4-%{version}.tar.gz
Patch3000:      tox.patch

BuildRequires:  python3-devel python3-setuptools
# python3-html5lib just for test coverage
%if %{with tests}
BuildRequires:  python3-html5lib python3-lxml
%endif
%if %{with soupsieve}
BuildRequires:  python3-soupsieve
%endif

BuildArch:      noarch

%description 
Beautiful Soup is a Python library designed for quick turnaround projects like screen-scraping.
It parses anything you give it, and does the tree traversal stuff for you. You can tell it "Find 
all the links", or "Find all the links of class externalLink", or "Find all the links whose urls 
match "foo.com", or "Find the table heading that is got bold text, then give me that text."

%package     -n python3-beautifulsoup4
Summary:        %summary
Requires:       python3-lxml
%if %{with soupsieve}
Requires:       python3-soupsieve
%endif

%description -n python3-beautifulsoup4
Beautiful Soup is a Python library designed for quick turnaround projects like screen-scraping.
It parses anything you give it, and does the tree traversal stuff for you. You can tell it "Find 
all the links", or "Find all the links of class externalLink", or "Find all the links whose urls 
match "foo.com", or "Find the table heading that is got bold text, then give me that text."

%prep
%autosetup -n beautifulsoup4-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_tests: -t}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files bs4

%if %{with tests}
%check
%tox
%endif

%files -n python3-beautifulsoup4
%license LICENSE
%doc NEWS.txt
%{python3_sitelib}/beautifulsoup4-%{version}.dist-info/
%{python3_sitelib}/bs4

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.12.2-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 19 2023 Wang Guodong <gordonwwang@tencent.com> - 4.12.2-1
- initial build
